matrix: &matrix
  platform:
  - rockylinux8
  - debian10
  - macos
  - ubuntu2004
  - windows
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify that all tests succeed
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
    - '@rules_kustomize//test:all'
bcr_test_module:
  module_path: examples/bzlmod
  matrix: *matrix
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}      
      build_targets:
      - //root
